package sample.product;

import org.eclipse.jface.viewers.ITreeContentProvider;
import org.eclipse.jface.viewers.Viewer;

public class ProductContentProvider implements ITreeContentProvider {

	@Override
	public void dispose() {
	}

	@Override
	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
	}

	@Override
	public Object[] getElements(Object inputElement) {
		return new Object[] { ((Product) inputElement).getRoot() };
	}

	@Override
	public Object[] getChildren(Object parentElement) {
		return ((Item) parentElement).getChildren().toArray();
	}

	@Override
	public Object getParent(Object element) {
		return ((Item) element).getParent();
	}

	@Override
	public boolean hasChildren(Object element) {
		return ((Item) element).getChildren().size() > 0;
	}

}
