package sample.product;

import java.util.ArrayList;
import java.util.List;

public class Item {

	private Item parent;
	private final List<Item> children = new ArrayList<Item>();
	private String content;

	public Item(String content) {
		this.content = content;
	}

	public Item getParent() {
		return parent;
	}

	public void setParent(Item parent) {
		this.parent = parent;
	}

	public List<Item> getChildren() {
		return children;
	}

	@Override
	public String toString() {
		return content;
	}

}
