package sample.product;

import javax.annotation.PostConstruct;
import javax.inject.Named;

import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class ItemEditorPart {
	private Text itemId;

	@PostConstruct
	public void init(Composite parent,
			@Named(IServiceConstants.ACTIVE_SELECTION) Item item) {
		parent.setLayout(new GridLayout(2, false));

		Label labelItem = new Label(parent, SWT.NONE);
		labelItem.setText("Item :");

		itemId = new Text(parent, SWT.BORDER);
		itemId.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, true, false, 1,
				1));

		itemId.setText(item.toString());
	}

}
